Module jdk.httpserver
Package com.sun.net.httpserver

## Interface HttpHandler

-     public interface HttpHandler

  A handler which is invoked to process HTTP exchanges. Each HTTP exchange is handled by one of these handlers.
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(HttpExchange exchange)` | Handle the given request and generate an appropriate response.

- - ### Method Detail

    - #### handle

          void handle​(HttpExchange exchange)
               throws IOException

      Handle the given request and generate an appropriate response. See `HttpExchange` for a description of the steps involved in handling an exchange.
      Parameters:
        `exchange` - the exchange containing the request from the client and used to send the response
      Throws:
        `NullPointerException` - if exchange is `null`
        `IOException`